org.encog.ml.hmm.distributions

## Interface StateDistribution

- All Superinterfaces:
    Cloneable, Serializable
  All Known Implementing Classes:
    ContinousDistribution, DiscreteDistribution

      public interface StateDistribution
      extends Cloneable, Serializable

  This class represents a "state distribution". This is the means by which the probabilities between the states and observations are mapped. Currently two are supported. Use ContinousDistribution to use a Gaussian-based continuous distribution. Use DiscreteDistribution for a item-based distribution.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateDistribution` | `clone()`
    `void` | `fit(MLDataSet set)` Fit this distribution to the specified data set.
    `void` | `fit(MLDataSet set, double[] weights)` Fit this distribution to the specified data set, given the specified weights, per element.
    `MLDataPair` | `generate()` Generate a random data pair, based on the probabilities.
    `double` | `probability(MLDataPair o)` Determine the probability of the specified data pair.

- - ### Method Detail

    - #### clone

          StateDistribution clone()

      Returns:
        A clone of this distribution.

    - #### fit

          void fit(MLDataSet set)

      Fit this distribution to the specified data set.
      Parameters:
        `set` - The data set to fit to.

    - #### fit

          void fit(MLDataSet set,
                 double[] weights)

      Fit this distribution to the specified data set, given the specified weights, per element.
      Parameters:
        `set` - The data set to fit to.
        `weights` - The weights.

    - #### generate

          MLDataPair generate()

      Generate a random data pair, based on the probabilities.
      Returns:
        A random data pair.

    - #### probability

          double probability(MLDataPair o)

      Determine the probability of the specified data pair.
      Parameters:
        `o` - The pair to consider.
      Returns:
        The probability.

Copyright © 2014. All Rights Reserved.